Summary:	Data analysis and scientific plotting
Name:		qtiplot
Version:	0.9.8.9
Release:	1%{?dist}
License:	GPLv2+
Group:		Sciences/Other
Url:		https://github.com/Salamandar/qtiplot
Source0:	qtiplot-0.9.8.9.tar.bz2
Source1:	http://www.stat.tamu.edu/~aredd/tamuanova/tamu_anova-0.2.tar.gz
Source2:	build.conf
Source3:    qtiplot.png

#BuildRequires:  python-devel
BuildRequires:	qt4-devel >= 4.4.0
BuildRequires:	qt-assistant-adp-devel
#BuildRequires:	libqwtplot3d-devel
BuildRequires:	gsl-devel
BuildRequires:	icoutils
BuildRequires:	muParser-devel >= 1.32
#BuildRequires:	libqwt-devel >= 5.2.0
BuildRequires:	python-qt4 >= 4.4.4
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd44-xml
BuildRequires:	pkgconfig(glu)
BuildRequires:  libpng-devel
BuildRequires:  boost-devel
#BuildRequires:	qtexengine-devel
Requires:	qt-assistant-adp
Requires:	python-qt4 >= 4.4.4
Requires:	python(abi) = 2.7

%description
Data analysis and scientific plotting.
Free clone of Origin.

%prep
%setup -q
pushd 3rdparty
tar xf %{SOURCE1}
mv tamu_anova-0.2 tamu_anova
popd

cp %{SOURCE2} .
sed -i 's|@LIBDIR@|%{_libdir}|g;s|@INCLUDEDIR@|%{_includedir}|g' build.conf

%build
pushd 3rdparty/tamu_anova
%configure --disable-shared --enable-static
%{__make}
popd
qmake-qt4 -d \
	%if "%{_lib}" != "lib"
		libsuff=64 \
	%endif
	-o Makefile
%{__make}

%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QtiPlot
Comment=Data analysis and scientific plotting
Exec=qtiplot
Icon=qtiplot
Terminal=false
Type=Application
Categories=Qt;Science;DataVisualization;
StartupNotify=true
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/

rm -fr %{buildroot}/usr/local

# Nuke the junk
find %{buildroot} -name libqwtplot3d.a -delete

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/qtiplot
%{_mandir}/man1/qtiplot.1.*
%{_libdir}/qtiplot/plugins
%{_datadir}/*

%changelog
* Wed Nov 30 2016 Elia Devito <eliadevito@yahoo.it> - 0.9.8.9-1
- Build https://github.com/Salamandar/qtiplot patched version
